org.apache.catalina.deploy

## Class ContextTransaction

- java.lang.Object
- - org.apache.catalina.deploy.ContextTransaction

- All Implemented Interfaces:
    Serializable

      public class ContextTransaction
      extends Object
      implements Serializable

  Representation of an application resource reference, as represented in an `<res-env-refy>` element in the deployment descriptor.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NamingResources` | `resources` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextTransaction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamingResources` | `getNamingResources()` Deprecated.
    `Object` | `getProperty(String name)` Return a configured property.
    `Iterator<String>` | `listProperties()` List properties.
    `void` | `removeProperty(String name)` remove a configured property.
    `void` | `setProperty(String name, Object value)` Set a configured property.
    `String` | `toString()` Return a String representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### resources

          @Deprecated
          protected NamingResources resources

      Deprecated.
      The NamingResources with which we are associated (if any).

  - ### Constructor Detail

    - #### ContextTransaction

          public ContextTransaction()

  - ### Method Detail

    - #### getProperty

          public Object getProperty(String name)

      Return a configured property.

    - #### setProperty

          public void setProperty(String name,
                         Object value)

      Set a configured property.

    - #### removeProperty

          public void removeProperty(String name)

      remove a configured property.

    - #### listProperties

          public Iterator<String> listProperties()

      List properties.

    - #### toString

          public String toString()

      Return a String representation of this object.
      Overrides:
        `toString` in class `Object`

    - #### getNamingResources

          @Deprecated
          public NamingResources getNamingResources()

      Deprecated.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.